curl --request GET \
--url https://api.kombo.dev/v1/ats/scorecards \
--header 'Authorization: Bearer <token>' \
--header 'X-Integration-Id: <x-integration-id>'import requests
url = "https://api.kombo.dev/v1/ats/scorecards"
headers = {
"X-Integration-Id": "<x-integration-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Integration-Id': '<x-integration-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.kombo.dev/v1/ats/scorecards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"next": "eyJwYWdlIjoxMiwibm90ZSI6InRoaXMgaXMganVzdCBhbiBleGFtcGxlIGFuZCBub3QgcmVwcmVzZW50YXRpdmUgZm9yIGEgcmVhbCBjdXJzb3IhIn0=",
"results": [
{
"id": "H77fDF8uvEzGNPRubiz5DvQ7",
"remote_id": "32",
"candidate_id": "26vafvWSRmbhNcxJYqjCzuJg",
"application_id": "H5daSm8e85Dmvmne3wLeCPhX",
"interview_id": "5J7L4b48wBfffYwek9Az9pkM",
"author_id": "6Wq4mDpYz3vBnh8Xk2Lr9TfA",
"responses": [
{
"answer": {
"label": "Yes",
"remote_id": "4"
},
"description": "How you feel the interview went",
"label": "Overall rating",
"options": [
{
"label": "Definitely not",
"remote_id": "1"
},
{
"label": "No",
"remote_id": "2"
},
{
"label": "Mixed",
"remote_id": "3"
},
{
"label": "Yes",
"remote_id": "4"
},
{
"label": "Strong yes",
"remote_id": "5"
},
{
"label": "No decision",
"remote_id": "6"
}
],
"remote_id": null,
"required": false,
"type": "SINGLE_SELECT"
},
{
"answer": "Excellent system design, strong communication throughout.",
"description": "Main notes about the interview",
"label": "Summary",
"remote_id": null,
"required": true,
"type": "TEXT"
},
{
"answer": {
"label": "Strong yes",
"remote_id": "5"
},
"description": null,
"label": "System design",
"options": [
{
"label": "Definitely not",
"remote_id": "1"
},
{
"label": "No",
"remote_id": "2"
},
{
"label": "Mixed",
"remote_id": "3"
},
{
"label": "Yes",
"remote_id": "4"
},
{
"label": "Strong yes",
"remote_id": "5"
},
{
"label": "No decision",
"remote_id": "6"
}
],
"remote_id": "attribute:8123",
"required": null,
"type": "SINGLE_SELECT"
},
{
"answer": true,
"description": null,
"label": "Would you work with this person again?",
"remote_id": "question:4471",
"required": true,
"type": "BOOLEAN"
},
{
"answer": [
{
"label": "System design",
"remote_id": "9001"
},
{
"label": "Debugging",
"remote_id": "9002"
}
],
"description": null,
"label": "Which areas did you cover?",
"options": [
{
"label": "System design",
"remote_id": "9001"
},
{
"label": "Debugging",
"remote_id": "9002"
},
{
"label": "Pair programming",
"remote_id": "9003"
}
],
"remote_id": "question:4472",
"required": false,
"type": "MULTI_SELECT"
},
{
"answer": "Ask more about experience with microservices",
"description": null,
"label": "Anything the next interviewer should probe?",
"remote_id": "question:4473",
"required": false,
"type": "TEXT"
},
{
"answer": 7.5,
"description": null,
"label": "Years of relevant experience",
"remote_id": "question:4474",
"required": false,
"type": "NUMBER"
},
{
"answer": "2026-09-01",
"description": null,
"label": "Earliest start date",
"remote_id": "question:4475",
"required": false,
"type": "DATE"
},
{
"answer": null,
"description": null,
"label": "Additional notes",
"remote_id": "question:4476",
"required": false,
"type": "TEXT"
}
],
"remote_created_at": "2022-08-07T14:01:29.196Z",
"remote_updated_at": "2022-08-07T14:01:29.196Z",
"remote_data": null,
"changed_at": "2022-08-07T14:01:29.196Z",
"remote_deleted_at": null,
"author": {
"id": "26vafvWSRmbhNcxJYqjCzuJg",
"remote_id": "32",
"first_name": "John",
"last_name": "Doe",
"email": "john.doe@kombo.dev"
}
}
]
}
}Get scorecards
Retrieve all scorecards.
Supported integrations
Supported integrations
(id IN ids) AND (remote_id IN remote_ids)Authorizations
Headers
ID of the integration you want to interact with.
Query Parameters
An optional cursor string used for pagination. This can be retrieved from the next property of the previous page response.
The number of results to return per page. Maximum is 250.
1 <= x <= 250Filter the entries based on the modification date in format YYYY-MM-DDTHH:mm:ss.sssZ. Returns records where either the record itself OR its nested data has been updated since this timestamp, even if the record's own changed_at field remains unchanged.
If you want to track entry deletion, also set the include_deleted=true query parameter, because otherwise, deleted entries will be hidden.
For more details, see Understanding changed_at vs updated_after Behavior.
For this endpoint, updated_after matches when the returned record changed, or when related data changed as described below.
| Path | Added/Removed | Linked Record |
|---|---|---|
author | ✗ No | ✗ No |
application | ✗ No | ✗ No |
candidate | ✗ No | ✗ No |
interview | ✗ No | ✗ No |
Added/Removed: Whether adding or removing entries from this list triggers an update (n/a for single records). Linked Record: Whether changes to the linked record itself trigger an update.
^\d{4}-\d{2}-\d{2}(T\d{2}:\d{2}:\d{2}(\.\d+)?)?Z?$By default, deleted entries are not returned. Use the include_deleted query param to include deleted entries too.
true, false When set to true, filters targeting fields not supported by this integration will be ignored instead of filtering out all results.
true, false Filter by a comma-separated list of IDs such as 222k7eCGyUdgt2JWZDNnkDs3,B5DVmypWENfU6eMe6gYDyJG3.
Filter by a comma-separated list of remote IDs.
Filter by a comma-separated list of candidate IDs. Prefer filtering by candidate_ids when you want to download the full interview feedback available for a candidate, across all their applications.
Filter by a comma-separated list of application IDs. We will only return scorecards that belong to any of these applications.
Response
GET /ats/scorecards Positive response
"success"Show child attributes
Show child attributes
{
"next": "eyJwYWdlIjoxMiwibm90ZSI6InRoaXMgaXMganVzdCBhbiBleGFtcGxlIGFuZCBub3QgcmVwcmVzZW50YXRpdmUgZm9yIGEgcmVhbCBjdXJzb3IhIn0=",
"results": [
{
"id": "H77fDF8uvEzGNPRubiz5DvQ7",
"remote_id": "32",
"candidate_id": "26vafvWSRmbhNcxJYqjCzuJg",
"application_id": "H5daSm8e85Dmvmne3wLeCPhX",
"interview_id": "5J7L4b48wBfffYwek9Az9pkM",
"author_id": "6Wq4mDpYz3vBnh8Xk2Lr9TfA",
"responses": [
{
"answer": { "label": "Yes", "remote_id": "4" },
"description": "How you feel the interview went",
"label": "Overall rating",
"options": [
{
"label": "Definitely not",
"remote_id": "1"
},
{ "label": "No", "remote_id": "2" },
{ "label": "Mixed", "remote_id": "3" },
{ "label": "Yes", "remote_id": "4" },
{ "label": "Strong yes", "remote_id": "5" },
{ "label": "No decision", "remote_id": "6" }
],
"remote_id": null,
"required": false,
"type": "SINGLE_SELECT"
},
{
"answer": "Excellent system design, strong communication throughout.",
"description": "Main notes about the interview",
"label": "Summary",
"remote_id": null,
"required": true,
"type": "TEXT"
},
{
"answer": { "label": "Strong yes", "remote_id": "5" },
"description": null,
"label": "System design",
"options": [
{
"label": "Definitely not",
"remote_id": "1"
},
{ "label": "No", "remote_id": "2" },
{ "label": "Mixed", "remote_id": "3" },
{ "label": "Yes", "remote_id": "4" },
{ "label": "Strong yes", "remote_id": "5" },
{ "label": "No decision", "remote_id": "6" }
],
"remote_id": "attribute:8123",
"required": null,
"type": "SINGLE_SELECT"
},
{
"answer": true,
"description": null,
"label": "Would you work with this person again?",
"remote_id": "question:4471",
"required": true,
"type": "BOOLEAN"
},
{
"answer": [
{
"label": "System design",
"remote_id": "9001"
},
{ "label": "Debugging", "remote_id": "9002" }
],
"description": null,
"label": "Which areas did you cover?",
"options": [
{
"label": "System design",
"remote_id": "9001"
},
{ "label": "Debugging", "remote_id": "9002" },
{
"label": "Pair programming",
"remote_id": "9003"
}
],
"remote_id": "question:4472",
"required": false,
"type": "MULTI_SELECT"
},
{
"answer": "Ask more about experience with microservices",
"description": null,
"label": "Anything the next interviewer should probe?",
"remote_id": "question:4473",
"required": false,
"type": "TEXT"
},
{
"answer": 7.5,
"description": null,
"label": "Years of relevant experience",
"remote_id": "question:4474",
"required": false,
"type": "NUMBER"
},
{
"answer": "2026-09-01",
"description": null,
"label": "Earliest start date",
"remote_id": "question:4475",
"required": false,
"type": "DATE"
},
{
"answer": null,
"description": null,
"label": "Additional notes",
"remote_id": "question:4476",
"required": false,
"type": "TEXT"
}
],
"remote_created_at": "2022-08-07T14:01:29.196Z",
"remote_updated_at": "2022-08-07T14:01:29.196Z",
"remote_data": null,
"changed_at": "2022-08-07T14:01:29.196Z",
"remote_deleted_at": null,
"author": {
"id": "26vafvWSRmbhNcxJYqjCzuJg",
"remote_id": "32",
"first_name": "John",
"last_name": "Doe",
"email": "john.doe@kombo.dev"
}
}
]
}
Was this page helpful?